GNU bug report logs - #41268
[PATCH 6/9] Drop unnecessary backward compatibility aliases

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jonas Bernoulli <jonas@HIDDEN>; Keywords: patch; merged with #41269, #41270, #41271, #41272, #41273, #41274, #41275, #41276, #41277; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 41276 <at> debbugs.gnu.org and Jonas Bernoulli <jonas@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 41268 <at> debbugs.gnu.org:


Received: (at 41268) by debbugs.gnu.org; 6 Aug 2020 07:26:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 06 03:26:54 2020
Received: from localhost ([127.0.0.1]:53007 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3aIg-0003Ot-C7
	for submit <at> debbugs.gnu.org; Thu, 06 Aug 2020 03:26:54 -0400
Received: from quimby.gnus.org ([95.216.78.240]:50474)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1k3aIe-0003Oc-Og; Thu, 06 Aug 2020 03:26:53 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=4yidn4Nyag6fTKpwBYMdkLAr3tQNDNHN7aTKXGq8rkI=; b=PlsJh39xlQMe9KwE0uZqXmlr4o
 4lUrCcJOdW+fKP3KaY3/qcrWKkEdijNG6PMRGjiXdNRJoFqtq3o3tIOsAv8gWb1ipmZ8MHj0SbDlR
 tREkclYQaWURN/42kyaqcXDt1jGIIEoipERY4+F+iHYatLE21M/3GVLRzEjFSimyF/yQ=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k3aIW-0006yx-Bt; Thu, 06 Aug 2020 09:26:47 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jonas Bernoulli <jonas@HIDDEN>
Subject: Re: bug#41276: [PATCH 0/9] Various small improvements to EasyPG
References: <20200514191325.22061-1-jonas@HIDDEN>
 <871rkkj4p3.fsf@HIDDEN> <87tuxgs0g8.fsf@HIDDEN>
Date: Thu, 06 Aug 2020 09:26:42 +0200
In-Reply-To: <87tuxgs0g8.fsf@HIDDEN> (Jonas Bernoulli's message of "Thu,
 06 Aug 2020 09:22:31 +0200")
Message-ID: <87k0ycfd59.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Jonas Bernoulli <jonas@HIDDEN> writes: >> Looking at "git
 log", it seems that many of these patches were applied, >> but I can't tell
 if there's any that weren't. Is there anything further >> to be done in this
 bug report, or can it be clo [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41268
Cc: 41276 <at> debbugs.gnu.org, 41268 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jonas Bernoulli <jonas@HIDDEN> writes:

>> Looking at "git log", it seems that many of these patches were applied,
>> but I can't tell if there's any that weren't.  Is there anything further
>> to be done in this bug report, or can it be closed?
>
> This can be closed.

OK, done.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41268; Package emacs. Full text available.

Message received at 41268 <at> debbugs.gnu.org:


Received: (at 41268) by debbugs.gnu.org; 6 Aug 2020 07:22:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 06 03:22:42 2020
Received: from localhost ([127.0.0.1]:52968 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3aEc-0003GJ-B7
	for submit <at> debbugs.gnu.org; Thu, 06 Aug 2020 03:22:42 -0400
Received: from mail.hostpark.net ([212.243.197.30]:42164)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>)
 id 1k3aEa-0003Fv-6V; Thu, 06 Aug 2020 03:22:41 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id 5BBF2B7AA7;
 Thu,  6 Aug 2020 09:22:38 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail1.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id s8RQpynliGHo; Thu,  6 Aug 2020 09:22:38 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id 34CF4B7A6C;
 Thu,  6 Aug 2020 09:22:38 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#41276: [PATCH 0/9] Various small improvements to EasyPG
In-Reply-To: <871rkkj4p3.fsf@HIDDEN>
References: <20200514191325.22061-1-jonas@HIDDEN> <871rkkj4p3.fsf@HIDDEN>
Date: Thu, 06 Aug 2020 09:22:31 +0200
Message-ID: <87tuxgs0g8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41268
Cc: 41276 <at> debbugs.gnu.org, 41268 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Looking at "git log", it seems that many of these patches were applied,
> but I can't tell if there's any that weren't.  Is there anything further
> to be done in this bug report, or can it be closed?

This can be closed.

I took out one commit, but re-submitted it in another series.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41268; Package emacs. Full text available.

Message received at 41268 <at> debbugs.gnu.org:


Received: (at 41268) by debbugs.gnu.org; 5 Aug 2020 19:03:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 05 15:03:34 2020
Received: from localhost ([127.0.0.1]:52261 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3OhJ-0006lE-Mm
	for submit <at> debbugs.gnu.org; Wed, 05 Aug 2020 15:03:33 -0400
Received: from quimby.gnus.org ([95.216.78.240]:44594)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1k3OhH-0006ku-La; Wed, 05 Aug 2020 15:03:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=NEqHEMy4mDIuwc0uh/XPr6ptHUJee4HBDaSSoLl1YGc=; b=dROWm68j+r2oNB3SdQGnkE7Xvr
 aegxxyGL7EgQgaoGmz6Ox+uZMg3NCB71T9opr1kN1h98EuLag9vfaGeXrmU36+1eNnGUUpm+TpkDQ
 JjfY4Y5D7DOOxHTlVd0VQFqQPyiffnXEK6+uOWaJCg1CcwRJBHfTYefZ9kThOA8mMMXI=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k3Oh7-0007yJ-Tq; Wed, 05 Aug 2020 21:03:24 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jonas Bernoulli <jonas@HIDDEN>
Subject: Re: bug#41276: [PATCH 0/9] Various small improvements to EasyPG
References: <20200514191325.22061-1-jonas@HIDDEN>
Date: Wed, 05 Aug 2020 21:03:20 +0200
In-Reply-To: <20200514191325.22061-1-jonas@HIDDEN> (Jonas Bernoulli's
 message of "Thu, 14 May 2020 21:13:16 +0200")
Message-ID: <871rkkj4p3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Jonas Bernoulli <jonas@HIDDEN> writes: > This patches
 make various cosmetic and hopefully uncontroversial > changes to epa and epg
 libraries. > > I am now to contributing to Emacs itself and not yet
 comfortable > with the commit message co [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41268
Cc: 41276 <at> debbugs.gnu.org, 41268 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jonas Bernoulli <jonas@HIDDEN> writes:

> This patches make various cosmetic and hopefully uncontroversial
> changes to epa and epg libraries.
>
> I am now to contributing to Emacs itself and not yet comfortable
> with the commit message conventions among other things.  Tell me
> what I am doing wrong please.

Looking at "git log", it seems that many of these patches were applied,
but I can't tell if there's any that weren't.  Is there anything further
to be done in this bug report, or can it be closed?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41268; Package emacs. Full text available.
Forcibly Merged 41268 41269 41270 41271 41272 41273 41274 41275 41276 41277. Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 41268 41269 41270 41271 41272 41273 41274 41275 41276. Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 41268 41269 41270 41271 41272 41273 41274 41276. Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 41268 41269 41270 41271 41272 41273 41276. Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 41268 41269 41270 41271 41272 41276. Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 41268 41269 41270 41271 41276. Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 41268 41269 41270 41276. Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 41268 41269 41276. Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 41268 41276. Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 May 2020 19:13:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 14 15:13:35 2020
Received: from localhost ([127.0.0.1]:34873 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZJIV-0001Qp-6G
	for submit <at> debbugs.gnu.org; Thu, 14 May 2020 15:13:35 -0400
Received: from lists.gnu.org ([209.51.188.17]:49222)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1jZJIT-0001Qi-W0
 for submit <at> debbugs.gnu.org; Thu, 14 May 2020 15:13:34 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:56324)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jonas@HIDDEN>) id 1jZJIT-0005mu-R5
 for bug-gnu-emacs@HIDDEN; Thu, 14 May 2020 15:13:33 -0400
Received: from mail.hostpark.net ([212.243.197.30]:50314)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jonas@HIDDEN>) id 1jZJIQ-0005Om-6T
 for bug-gnu-emacs@HIDDEN; Thu, 14 May 2020 15:13:33 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id 5E13C166B6
 for <bug-gnu-emacs@HIDDEN>; Thu, 14 May 2020 21:13:27 +0200 (CEST)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail0.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id yAG5CVJfYeho for <bug-gnu-emacs@HIDDEN>;
 Thu, 14 May 2020 21:13:26 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256)
 (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id 8BBEF166BF
 for <bug-gnu-emacs@HIDDEN>; Thu, 14 May 2020 21:13:26 +0200 (CEST)
From: Jonas Bernoulli <jonas@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: [PATCH 6/9] Drop unnecessary backward compatibility aliases
Date: Thu, 14 May 2020 21:13:22 +0200
Message-Id: <20200514191325.22061-7-jonas@HIDDEN>
X-Mailer: git-send-email 2.26.0
In-Reply-To: <20200514191325.22061-1-jonas@HIDDEN>
References: <20200514191325.22061-1-jonas@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: none client-ip=212.243.197.30; envelope-from=jonas@HIDDEN;
 helo=mail.hostpark.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/05/14 15:13:27
X-ACL-Warn: Detected OS   = ???
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* lisp/epa-file.el (epa-file--encode-coding-string,
  epa-file--decode-coding-string): Remove aliases for
  encode-coding-string and decode-coding-string.

* lisp/epa-file.el (epa-file-write-region): Use encode-coding-string
  instead of removed epa-file--encode-coding-string.

encode-coding-string and decode-coding-string existed every since
4ed4686978bd18292e2bb7b87a7b0e0407ecb3b1 added them in 1997.
---
 lisp/epa-file.el | 22 ++++------------------
 1 file changed, 4 insertions(+), 18 deletions(-)

diff --git a/lisp/epa-file.el b/lisp/epa-file.el
index ede7177054..3e23c09a51 100644
--- a/lisp/epa-file.el
+++ b/lisp/epa-file.el
@@ -56,16 +56,6 @@ epa-file-select-keys
 
 (defvar epa-file-passphrase-alist nil)
 
-(eval-and-compile
-  (if (fboundp 'encode-coding-string)
-      (defalias 'epa-file--encode-coding-string 'encode-coding-string)
-    (defalias 'epa-file--encode-coding-string 'identity)))
-
-(eval-and-compile
-  (if (fboundp 'decode-coding-string)
-      (defalias 'epa-file--decode-coding-string 'decode-coding-string)
-    (defalias 'epa-file--decode-coding-string 'identity)))
-
 (defun epa-file-passphrase-callback-function (context key-id file)
   (if (and epa-file-cache-passphrase-for-symmetric-encryption
 	   (eq key-id 'SYM))
@@ -243,11 +233,7 @@ epa-file-write-region
   (setq file (expand-file-name file))
   (let* ((coding-system (or coding-system-for-write
 			    (if (fboundp 'select-safe-coding-system)
-				;; This is needed since Emacs 22 has
-				;; no-conversion setting for *.gpg in
-				;; `auto-coding-alist'.
-			        (let ((buffer-file-name
-				       (file-name-sans-extension file)))
+			        (let ((buffer-file-name file))
 				  (select-safe-coding-system
 				   (point-min) (point-max)))
 			      buffer-file-coding-system)))
@@ -273,7 +259,7 @@ epa-file-write-region
 	      (epg-encrypt-string
 	       context
 	       (if (stringp start)
-		   (epa-file--encode-coding-string start coding-system)
+		   (encode-coding-string start coding-system)
 		 (unless start
 		   (setq start (point-min)
 			 end (point-max)))
@@ -287,8 +273,8 @@ epa-file-write-region
 		   ;; decrypted contents.
 		   (format-encode-buffer (with-current-buffer buffer
 					   buffer-file-format))
-		   (epa-file--encode-coding-string (buffer-string)
-						   coding-system)))
+		   (encode-coding-string (buffer-string)
+					 coding-system)))
 	       (if (or (eq epa-file-select-keys t)
 		       (and (null epa-file-select-keys)
 			    (not (local-variable-p 'epa-file-encrypt-to
-- 
2.26.0





Acknowledgement sent to Jonas Bernoulli <jonas@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#41268; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 6 Aug 2020 07:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.